/* RepliView.h */

#ifndef REPLI_VIEW_H
#define REPLI_VIEW_H


#include <View.h>
#include <Dragger.h>
#include <TextView.h>
#include <ScrollView.h>
#include <Alert.h>
#include <Message.h>
#include <Messenger.h>
#include <stdio.h>

class _EXPORT RepliView;

class RepliView : public BView{

	public:
	
							RepliView(BRect frame);
							RepliView(BMessage *archive);
							~RepliView();
	virtual void			MessageReceived(BMessage *msg);
	static	BArchivable*	Instantiate(BMessage *data);
	virtual	status_t		Archive (BMessage *archive,bool deep = true) const;
	void					RepliAboutRequested();
	
	private:
	
	BTextView	*fTextView;
	BScrollView	*fScrollView;
	bool		 fReplicated;
	
};

#endif